Subject: Re: [bug#41350] [PATCH v3 2/3] system: vm: Do not register-closures when cross-building to the Hurd.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 27 May 2020 10:45:40 +0200

"Jan (janneke) Nieuwenhuizen" <[email-masked]> skribis:

> This supports cross-building building a vm-image for the Hurd, running a
> native qemu.
>
> * gnu/system/vm.scm (qemu-image)[register-closures?]: Default to #f when
> cross-compiling to the Hurd.  Only create sql-schema when actually registering
> closures.

[...]

> -                     (register-closures? (has-guix-service-type? os))
> +                     (register-closures? (and (has-guix-service-type? os)
> +                                              (not (hurd-target?))))

What’s the problem here?  (Sorry if I missed earlier discussions!)

Intuitively, I think there shouldn’t be system-specific bits here:
registering closures has nothing to do with the OS we’re targeting.

Thanks,
Ludo’.